    plcget(1)                                    Qualcomm Atheros Open Powerline Toolkit                                   plcget(1)

    NAME
           plcget - Qualcomm Atheros PLC Get Propery

    SYNOPSIS
           plcget [options] [device] [device] [...]

    DESCRIPTION
           Read  a  specific  property value from a Qualcomm Atheros powerline device using the VS_GET_PROPERTY message.  Properties
           are selected using their numeric property identifier.  Property names are not supported.  Property values are printed  on
           stdout in hexadecimal format by default.  Alternate formats are ASCII, binary and decimal.

           Only selected properties can be read using this message type.  See the Qualcomm Atheros Firmware Technical Reference Man‐
           ual for supported properties and versions.

           This program is part of the Qualcomm Atheros Powerline Toolkit.  See the plc man page for an  overview  and  installation
           instructions.

    OPTIONS
           -a     Display output in string format where each byte appears as an ASCII character.  Non-ASCII characters are displayed
                  as a period or full-stop.  This option is useful for displaying HFID property values.

           -b     Display output in binary format where each byte appears as 8 bits or binary digits.  This  option  is  useful  for
                  interpreting bit-mapped property values.

           -d     Display output in decimal format where each byte appears as three decimal digits.  This option is useful for prop‐
                  erties with small integer values.

           -e     Redirects stderr messages to stdout.  By convention status and error messages are printed on stderr while  primary
                  program output is printed on stdout.  This option prints all output on stdout in cases where this is desired.

           -h     Display  output in hexadecimal format where each byte appears as a hexadecimal octet consisting of two hexadecimal
                  digits.  Hexadecimal is the default output format.

           -n number
                  The property identifier or property version.  Property identifiers and versions  are  entered  as  32-bit  decimal
                  integers.  Property names are not supported.  The default is 0.  This option may appear more than once on the com‐
                  mand line.  The first occurance specifies the property identifier.  The second occurances specifies  the  property
                  version.  See the Firmware Technical Reference Manual for an list of valid property identifiers and versions.

           -i interface
                  Select  the host Ethernet interface.  All requests are sent via this interface and only reponses received via this
                  interface are recognized.  The default interface is eth1 because most people use eth0 as their  principle  network
                  connection;  however,  if environment string "PLC" is defined then it takes precedence over the default interface.
                  This option then takes precedence over either default.

           -q     Suppresses status messages on stderr.

           -v     Prints additional information on stdout.  In particular, this option dumps outgoing Ethernet packets on stdout.

           -?,--help
                  Displays program help information on stderr.  This option takes precedence over all other options on  the  command
                  line except version information.

           -!,--version
                  Displays  program  version information on stderr.  This option takes precedence over all other options on the com‐
                  mand line except help information.  Use this option when sending screen dumps to Atheros technical staff.

    ARGUMENTS
           device The MAC address of some powerline device.  More than one address may be specified.  If more than  one  address  is
                  specified  then  operations  are performed on each device in turn.  The default address is local.  See DEVICES for
                  information about symbolic device addresses.

    DEVICES
           Powerline devices use Ethernet Media Access Control (MAC) addresses.  A MAC address is a 48-bit value entered as 12 hexa‐
           decimal  digits  in upper, lower or mixed character case.  Octets may be separated with colons for clarity.  For example,
           "00b052000001", "00:b0:52:00:00:01" and "00b052:000001" are valid and equivalent.

           The following MAC addresses are special and may be entered by name instead of number.

           all    Same as "broadcast".

           broadcast
                  A synonym for the Ethernet broadcast address, FF:FF:FF:FF:FF:FF.  All devices, whether local,  remote  or  foreign
                  recognize  messages sent to this address.  A remote device is any device at the far end of a powerline connection.
                  A foreign device is any device not manufactured by Atheros.

           local  A synonym for the Qualcomm Atheros vendor specific Local Management Address (LMA), 00:B0:52:00:00:01.   All  local
                  Atheros  devices  recognize  this address but remote and foreign devices do not.  A remote device is any device at
                  the far end of a powerline connection.  A foreign device is any device not manufactured by Atheros.

    REFERENCES
           See the Qualcomm Atheros HomePlug AV Firmware Technical Reference Manual for technical information.

    DISCLAIMER
           Atheros HomePlug AV Vendor Specific Management Message structure and content is proprietary to Qualcomm Atheros, Ocala FL
           USA.   Consequently,  public  information  may  not  be available.  Qualcomm Atheros reserves the right to modify message
           structure and content in future firmware releases without any obligation to notify or compensate users of this program.

    EXAMPLES
           None.

    SEE ALSO
           plc(1), getpib(1), modpib(1), plcset(1), setpib(1)

    CREDITS
            Charles Maier <cmaier@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                   plcget(1)

[PREV] [HOME] [NEXT]